%define         major       0
%define         libname     %mklibname pslib %{major}
%define         develname   %mklibname pslib -d

%define         docfiles    AUTHORS COPYING ChangeLog README

Name:           pslib
Summary:        A C-library for generating multi-pages PostScript documents
Version:        0.4.5
Release:        %mkrel 7
License:        GPLv2
Group:          System/Libraries

URL:            http://pslib.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/pslib/pslib-%{version}.tar.gz


Provides:       %libname = %{version}-%{release}

BuildRequires:  glibc-devel
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  glib2-devel 
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libungif-devel
BuildRequires:  libtiff-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  docbook-to-man
BuildRequires:  docbook-utils

%description
%{summary}.


%package -n     %{libname}
Summary: %{summary}
Group: %{group}

%description -n %{libname}
Pslib is a C-library for generating multi page PostScript documents. There are
functions for drawing lines, arcs, rectangles, curves, etc. Pslib also provides
very sophisticated functions for text output including hyphenation and kerning.



%package -n     %{develname}
Summary:        Static library and header files for the PSlib library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
%{summary}.



%prep
%setup -q -n %{name}-%{version}
chmod 644 %docfiles


%build
%configure2_5x
%make CFLAGS="%optflags -lm"


%install
rm -rf %{buildroot}
%makeinstall_std


find %{buildroot}%{_libdir} -name *.la -delete
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%doc %docfiles
%{_libdir}/*.so.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man3/*


%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/libps
%{_includedir}/libps/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4.5-7.mga4
+ Revision: 525920
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.4.5-6.mga4
+ Revision: 434973
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 0.4.5-5.mga3
+ Revision: 378282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 eatdirt <eatdirt> 0.4.5-4.mga3
+ Revision: 343179
- Fix build failure with new automake

* Mon Nov 05 2012 eatdirt <eatdirt> 0.4.5-3.mga3
+ Revision: 314521
- rebuild for mga3

* Fri Dec 23 2011 fwang <fwang> 0.4.5-2.mga2
+ Revision: 186422
- rebuild for new libtiff

* Fri Dec 09 2011 eatdirt <eatdirt> 0.4.5-1.mga2
+ Revision: 179621
- Upgrade to 0.4.5, .la files removed, specfile cleaned

  + obgr_seneca <obgr_seneca>
    - removed la files

* Tue Sep 20 2011 fwang <fwang> 0.4.1-7.mga2
+ Revision: 146006
- fix build with libpng 1.5
- rebuild for new libpng

* Mon Feb 07 2011 spuhler <spuhler> 0.4.1-6.mga1
+ Revision: 48226
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package pslib


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-6mdv2011.0
+ Revision: 614624
- the mass rebuild of 2010.1 packages

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 0.4.1-5mdv2010.0
+ Revision: 419597
- fix build with glibc 2.10

* Tue Nov 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-5mdv2009.1
+ Revision: 302226
- more dep fixes...
- more dep fixes
- fix deps
- fix linkage
- rebuilt against new libxcb

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.4.1-3mdv2008.1
+ Revision: 171053
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sun Feb 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-2mdv2008.1
+ Revision: 169574
- fix build on x86_64

* Sun Feb 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-1mdv2008.1
+ Revision: 169559
- 0.4.1
- regenerated the manpages

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.7-3mdv2008.0
+ Revision: 83633
- fix build deps (perl-XML-Parser)
- Import pslib



* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.7-3
- new devel naming

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.7-2
- provide the manpages generated on cooker

* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.7-1mdv2007.0
- initial Mandriva package
